# https://stackoverflow.com/questions/6273608/how-to-pass-argument-to-makefile-from-command-line
args = `arg="$(filter-out $@,$(MAKECMDGOALS))" && echo $${arg:-${1}}`
create:
	python3 create.py
extract:
	python3 extract.py $(call args,none)
arguments:
	@echo action $(filter-out $@,$(MAKECMDGOALS))
test:
	@echo $(call args, default)
%:      # thanks to chakrit
	@:    # thanks to William Pursell
